%define anolis_release 1
Name:           lame
Version:        3.100
Release:        %{anolis_release}%{?dist}
Summary:        Free MP3 audio compressor

License:        GPLv2+
URL:            http://lame.sourceforge.net/
Source0:        https://downloads.sourceforge.net/sourceforge/lame/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  ncurses-devel
Requires:       %{name}-libs = %{version}-%{release}
Obsoletes:      %{name}-mp3x < 3.100

%description
LAME is an open source MP3 encoder whose quality and speed matches
commercial encoders. LAME handles MPEG-1, 2 and 2.5 layer III encoding
with both constant and variable bitrates.

%package        libs
Summary:        LAME MP3 encoding library

%description    libs
LAME MP3 encoding library.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}-libs = %{version}-%{release}

%description    devel
This package development files for %{name}.

%prep
%autosetup -p1


%build
sed -i -e 's/^\(\s*hardcode_libdir_flag_spec\s*=\).*/\1/' configure
%configure \
  --disable-dependency-tracking \
  --disable-static \
  --enable-mp3rtp

%make_build


%install
%make_install INSTALL="install -p"
rm -f %{buildroot}%{_libdir}/*.la
ln -sf lame/lame.h %{buildroot}%{_includedir}/lame.h
rm -rf %{buildroot}%{_docdir}/%{name}


%check
make test


%ldconfig_scriptlets libs


%files
%doc README TODO USAGE doc/html/*.html
%{_bindir}/lame
%{_bindir}/mp3rtp
%{_mandir}/man1/lame.1*

%files libs
%doc ChangeLog
%license COPYING LICENSE
%{_libdir}/libmp3lame.so.0*

%files devel
%doc API HACKING STYLEGUIDE
%{_libdir}/libmp3lame.so
%{_includedir}/lame
%{_includedir}/lame.h

%changelog
* Wed Apr 13 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 3.100-1
- init from upstream
